Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -4719,52 +4721,52 @@
 par.shifty=get(handles.shifty,'String');
 if isempty(str2num(par.isx))
-         par.isx='41';%default
-         set(handles.isx,'String','41');
+    par.isx='41';%default
+    set(handles.isx,'String','41');
 end
 if isempty(str2num(par.isy))
-         par.isy='41'; %default
-         set(handles.isy,'String','41');
+    par.isy='41'; %default
+    set(handles.isy,'String','41');
 end
 if isempty(str2num(par.shiftx))
-         par.shiftx='0';%default
-         set(handles.shiftx,'String','0');
-end 
+    par.shiftx='0';%default
+    set(handles.shiftx,'String','0');
+end
 if isempty(str2num(par.shifty))
-         par.shifty='0'; %default
-         set(handles.shifty,'String','0');
-end
- par.rho=get(handles.rho,'String');
- par.dx=get(handles.dx_civ1,'String');
- par.dy=get(handles.dy_civ1,'String');
- if isequal(str2num(par.dx),[]) 
-     if isempty(get(handles.grid_civ1,'String'));
-         par.dx='0'; %just read by civ program, not used
-     else
+    par.shifty='0'; %default
+    set(handles.shifty,'String','0');
+end
+par.rho=get(handles.rho,'String');
+par.dx=get(handles.dx_civ1,'String');
+par.dy=get(handles.dy_civ1,'String');
+if isequal(str2num(par.dx),[])
+    if isempty(get(handles.grid_civ1,'String'));
+        par.dx='0'; %just read by civ program, not used
+    else
         par.dx='20';%default
         set(handles.dx_civ1,'String','20');
-     end
- end
- if isequal(str2num(par.dy),[])
-     if isempty(get(handles.grid_civ1,'String'));
-         par.dy='0';%just read by civ program, not used
-     else
+    end
+end
+if isequal(str2num(par.dy),[])
+    if isempty(get(handles.grid_civ1,'String'));
+        par.dy='0';%just read by civ program, not used
+    else
         par.dy='20';%default
         set(handles.dy_civ1_title,'String','20');
-     end
- end
-    par.pxcmx='1'; %velocities are expressed in pixel dispalcement
-     par.pxcmy='1';
+    end
+end
+par.pxcmx='1'; %velocities are expressed in pixel dispalcement
+par.pxcmy='1';
 %      end
- A=imread(file_ima);%read the first image to get the size
- sizim=size(A);
- par.npx=num2str(sizim(2));
- par.npy=num2str(sizim(1));
- time=get(handles.RootName,'UserData'); %get the set of times
- par.gridname=get(handles.grid_civ1,'String');
- par.gridflag='y';
- if isequal(par.gridname,'')| isempty(par.gridname)
-     par.gridname='nogrid';
-     par.gridflag='n';
- end
+A=imread(file_ima);%read the first image to get the size
+sizim=size(A);
+par.npx=num2str(sizim(2));
+par.npy=num2str(sizim(1));
+time=get(handles.RootName,'UserData'); %get the set of times
+par.gridname=get(handles.grid_civ1,'String');
+par.gridflag='y';
+if isequal(par.gridname,'')| isempty(par.gridname)
+    par.gridname='nogrid';
+    par.gridflag='n';
+end
 
 %------------------------------------------------------------------------
@@ -4778,22 +4780,22 @@
 par.dx=get(handles.dx_civ2,'String');
 par.dy=get(handles.dy_civ2,'String');
-if isequal(str2num(par.dx),[]) 
-     if isempty(get(handles.grid_civ2,'String'));
-         par.dx='0'; %just read by civ program, not used
-     else
+if isequal(str2num(par.dx),[])
+    if isempty(get(handles.grid_civ2,'String'));
+        par.dx='0'; %just read by civ program, not used
+    else
         par.dx='20';%default
         set(handles.dx_civ2,'String','20');
-     end
- end
- if isequal(str2num(par.dy),[])
-     if isempty(get(handles.grid_civ2,'String'));
-         par.dy='0';%just read by civ program, not used
-     else
+    end
+end
+if isequal(str2num(par.dy),[])
+    if isempty(get(handles.grid_civ2,'String'));
+        par.dy='0';%just read by civ program, not used
+    else
         par.dy='20';%default
         set(handles.dy_civ2,'String','20');
-     end
- end
- par.pxcmx='1';
- par.pxcmy='1';
+    end
+end
+par.pxcmx='1';
+par.pxcmy='1';
 A=imread(file_ima);%read the first image to get the size
 sizim=size(A);
@@ -4816,8 +4818,8 @@
 %changes : filename_cmx -> filename ( no extension )
 
-            if isequal(par.Dt,'0')
-                par.Dt='1' ;%case of 'displacement' mode
-            end         
-%  
+if isequal(par.Dt,'0')
+    par.Dt='1' ;%case of 'displacement' mode
+end
+%
 %     textcmx={'##############   CMX file';...
 %     ['FirstImage ' par.filename_ima_a];...
@@ -4850,5 +4852,5 @@
 %     ['ImageToUse ' par.term_a ' ' par.term_b];... % VERIFIER ?
 %     'ImageUsedBefore null null'};
-% 
+%
 %             textout=char(textcmx);
 par.filename_ima_a=regexprep(par.filename_ima_a,'.png','');
@@ -4856,35 +4858,35 @@
 fid=fopen([filename '.cmx'],'w');
 fprintf(fid,['##############   CMX file' '\n' ]);
- fprintf(fid,   ['FirstImage ' regexprep(par.filename_ima_a,'\\','\\\\') '\n' ]);% for windows compatibility
- fprintf(fid,   ['LastImage  ' regexprep(par.filename_ima_b,'\\','\\\\') '\n' ]);% for windows compatibility
-  fprintf(fid,  ['XX' '\n' ]);
-  fprintf(fid,  ['Mask ' par.maskflag '\n' ]);
-  fprintf(fid,  ['MaskName ' regexprep(par.maskname,'\\','\\\\') '\n' ]);
- fprintf(fid,   ['ImageSize ' par.npx ' ' par.npy '\n' ]);   %VERIFIER CAS GENERAL ?
- fprintf(fid,   ['CorrelationBoxesSize ' par.ibx ' ' par.iby '\n' ]);
- fprintf(fid,   ['SearchBoxeSize ' par.isx ' ' par.isy '\n' ]);
- fprintf(fid,   ['RO ' par.rho '\n' ]);
- fprintf(fid,   ['GridSpacing ' par.dx ' ' par.dy '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['Dt_TO ' par.Dt ' ' par.T0 '\n' ]);
-  fprintf(fid,  ['PixCmXY ' par.pxcmx ' ' par.pxcmy '\n' ]);
-  fprintf(fid,  ['XX 1' '\n' ]);
- fprintf(fid,   ['ShiftXY ' par.shiftx ' '  par.shifty '\n' ]);
-  fprintf(fid,  ['Grid ' par.gridflag '\n' ]);
- fprintf(fid,   ['GridName ' regexprep(par.gridname,'\\','\\\\') '\n' ]);
- fprintf(fid,   ['XX 85' '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['XX 1.0' '\n' ]);
- fprintf(fid,   ['Hart 1' '\n' ]);
- fprintf(fid,  [ 'DecimalShift 0' '\n' ]);
- fprintf(fid,   ['Deformation 0' '\n' ]);
-  fprintf(fid,  ['CorrelationMin 0' '\n' ]);
- fprintf(fid,   ['IntensityMin 0' '\n' ]);
-  fprintf(fid,  ['SeuilImage n' '\n' ]);
- fprintf(fid,   ['SeuilImageValues 0 4096' '\n' ]);
- fprintf(fid,   ['ImageToUse ' par.term_a ' ' par.term_b '\n' ]); % VERIFIER ?
- fprintf(fid,   ['ImageUsedBefore null null' '\n' ]);
+fprintf(fid,   ['FirstImage ' regexprep(par.filename_ima_a,'\\','\\\\') '\n' ]);% for windows compatibility
+fprintf(fid,   ['LastImage  ' regexprep(par.filename_ima_b,'\\','\\\\') '\n' ]);% for windows compatibility
+fprintf(fid,  ['XX' '\n' ]);
+fprintf(fid,  ['Mask ' par.maskflag '\n' ]);
+fprintf(fid,  ['MaskName ' regexprep(par.maskname,'\\','\\\\') '\n' ]);
+fprintf(fid,   ['ImageSize ' par.npx ' ' par.npy '\n' ]);   %VERIFIER CAS GENERAL ?
+fprintf(fid,   ['CorrelationBoxesSize ' par.ibx ' ' par.iby '\n' ]);
+fprintf(fid,   ['SearchBoxeSize ' par.isx ' ' par.isy '\n' ]);
+fprintf(fid,   ['RO ' par.rho '\n' ]);
+fprintf(fid,   ['GridSpacing ' par.dx ' ' par.dy '\n' ]);
+fprintf(fid,   ['XX 1.0' '\n' ]);
+fprintf(fid,   ['Dt_TO ' par.Dt ' ' par.T0 '\n' ]);
+fprintf(fid,  ['PixCmXY ' par.pxcmx ' ' par.pxcmy '\n' ]);
+fprintf(fid,  ['XX 1' '\n' ]);
+fprintf(fid,   ['ShiftXY ' par.shiftx ' '  par.shifty '\n' ]);
+fprintf(fid,  ['Grid ' par.gridflag '\n' ]);
+fprintf(fid,   ['GridName ' regexprep(par.gridname,'\\','\\\\') '\n' ]);
+fprintf(fid,   ['XX 85' '\n' ]);
+fprintf(fid,   ['XX 1.0' '\n' ]);
+fprintf(fid,   ['XX 1.0' '\n' ]);
+fprintf(fid,   ['Hart 1' '\n' ]);
+fprintf(fid,  [ 'DecimalShift 0' '\n' ]);
+fprintf(fid,   ['Deformation 0' '\n' ]);
+fprintf(fid,  ['CorrelationMin 0' '\n' ]);
+fprintf(fid,   ['IntensityMin 0' '\n' ]);
+fprintf(fid,  ['SeuilImage n' '\n' ]);
+fprintf(fid,   ['SeuilImageValues 0 4096' '\n' ]);
+fprintf(fid,   ['ImageToUse ' par.term_a ' ' par.term_b '\n' ]); % VERIFIER ?
+fprintf(fid,   ['ImageUsedBefore null null' '\n' ]);
 fclose(fid);
-  
+
 cmd_CIV1=[sparam.Civ1Bin ' -f ' filename '.cmx' ]; % redirect standard output to the log file
 cmd_CIV1=regexprep(cmd_CIV1,'\\','\\\\');
@@ -4906,35 +4908,35 @@
 %global CivBin%name of the executable for civ1 calculation
 
-    civ1.image1=par.filename_ima_a;
-    civ1.image2=par.filename_ima_b;
-    civ1.imageSize_X=par.npx; 
-    civ1.imageSize_Y=par.npy;
-    civ1.outputFileName=[filename '.nc'];
-    civ1.correlationBoxesSize_X=par.ibx;
-    civ1.correlationBoxesSize_Y=par.iby;
-    civ1.searchBoxesSize_X=par.isx;
-    civ1.searchBoxesSize_Y=par.isy;
-    civ1.globalShift_X=par.shiftx;
-    civ1.globalShift_Y=par.shifty;
-    civ1.ro=par.rho;
-    civ1.hart='y';
-    if isequal(par.gridflag,'y')
-        civ1.grid=par.gridname;
-    else
-        civ1.grid='n';
-        civ1.gridSpacing_X=par.dx;
-        civ1.gridSpacing_Y=par.dy;
-    end
-    if isequal(par.maskflag,'y')
-        civ1.mask=par.maskname;
-    end
-    civ1.dt=par.Dt;
-    civ1.unit='pixel';
-    civ1.absolut_time_T0=par.T0;
-    civ1.pixcmx=par.pxcmx;
-    civ1.pixcmy=par.pxcmy;
-    civ1.convectFlow='n';
-  
-    xml_civ1_parameters=civ1;
+civ1.image1=par.filename_ima_a;
+civ1.image2=par.filename_ima_b;
+civ1.imageSize_X=par.npx;
+civ1.imageSize_Y=par.npy;
+civ1.outputFileName=[filename '.nc'];
+civ1.correlationBoxesSize_X=par.ibx;
+civ1.correlationBoxesSize_Y=par.iby;
+civ1.searchBoxesSize_X=par.isx;
+civ1.searchBoxesSize_Y=par.isy;
+civ1.globalShift_X=par.shiftx;
+civ1.globalShift_Y=par.shifty;
+civ1.ro=par.rho;
+civ1.hart='y';
+if isequal(par.gridflag,'y')
+    civ1.grid=par.gridname;
+else
+    civ1.grid='n';
+    civ1.gridSpacing_X=par.dx;
+    civ1.gridSpacing_Y=par.dy;
+end
+if isequal(par.maskflag,'y')
+    civ1.mask=par.maskname;
+end
+civ1.dt=par.Dt;
+civ1.unit='pixel';
+civ1.absolut_time_T0=par.T0;
+civ1.pixcmx=par.pxcmx;
+civ1.pixcmy=par.pxcmy;
+civ1.convectFlow='n';
+
+xml_civ1_parameters=civ1;
 
 %------------------------------------------------------------------------
@@ -4947,5 +4949,5 @@
 civ2.image1=par.filename_ima_a;
 civ2.image2=par.filename_ima_b;
-civ2.imageSize_X=par.npx; 
+civ2.imageSize_X=par.npx;
 civ2.imageSize_Y=par.npy;
 civ2.inputFileName=[par.filename_nc1 '.nc'];
@@ -4996,7 +4998,7 @@
 %pixels per cm and matrix of the image times, read from the .civ file by uvmat
 % global civ2Bin sge%name of the executable for civ1 calculation
-   if isequal(par.Dt,'0')
-                par.Dt='1' ;%case of 'displacement' mode
-  end 
+if isequal(par.Dt,'0')
+    par.Dt='1' ;%case of 'displacement' mode
+end
 % textcmx=['##############   CMX file'  '\n'...
 % ['FirstImage ' par.filename_ima_a]  '\n'...
@@ -5005,5 +5007,5 @@
 % ['Mask ' par.maskflag]  '\n'...
 % ['MaskName ' par.maskname]  '\n'...
-% ['ImageSize ' par.npx ' ' par.npy]  '\n'...   
+% ['ImageSize ' par.npx ' ' par.npy]  '\n'...
 % ['CorrelationBoxesSize ' par.ibx ' ' par.iby]  '\n'...
 % ['SearchBoxeSize ' par.ibx ' ' par.iby]  '\n'...
@@ -5031,10 +5033,10 @@
 % textout=char(textcmx);
 % fid=fopen([filename_cmx '2'],'w');
-% fprintf(fid,textout); 
+% fprintf(fid,textout);
 % fclose(fid)
 
 par.filename_ima_a=regexprep(par.filename_ima_a,'.png','');
 par.filename_ima_b=regexprep(par.filename_ima_b,'.png','');% bug : .png appears two times ?
-fid=fopen([filename_cmx '2'],'w'); 
+fid=fopen([filename_cmx '2'],'w');
 fprintf(fid,['##############   CMX file' '\n' ]);
 fprintf(fid,   ['FirstImage ' regexprep(par.filename_ima_a,'\\','\\\\') '\n' ]);% for windows compatibility
@@ -5082,5 +5084,5 @@
 else
     addpath (fullfile(pathelp,'uvmat_doc'))
-    web([helpfile '#civ'])    
+    web([helpfile '#civ'])
 end
 
@@ -5094,9 +5096,9 @@
         A=read(movieobject,num);
     case 'avi'
-       mov=aviread(filename,num);      
-       A=frame2im(mov(1));
+        mov=aviread(filename,num);
+        A=frame2im(mov(1));
     case 'multimage'
         A=imread(filename,num);
-    case 'image'    
+    case 'image'
         A=imread(filename);
 end
@@ -5115,5 +5117,5 @@
 find_netcpair_civ1(hObject, eventdata, handles);% update the menu of pairs depending on the available netcdf files
 if isequal(mode,'series(Di)') || ...% we do patch2 only
-   (get(handles.CIV2,'Value')==0 && get(handles.CIV1,'Value')==0 && get(handles.FIX1,'Value')==0 && get(handles.PATCH1,'Value')==0)
+        (get(handles.CIV2,'Value')==0 && get(handles.CIV1,'Value')==0 && get(handles.FIX1,'Value')==0 && get(handles.PATCH1,'Value')==0)
     find_netcpair_civ2(hObject, eventdata, handles);
 end
@@ -5125,9 +5127,9 @@
 mode_value=get(handles.mode,'Value');
 mode=mode_list{mode_value};
-if isequal(get(handles.CIV1,'Value'),0)|| isequal(mode,'series(Dj)') 
+if isequal(get(handles.CIV1,'Value'),0)|| isequal(mode,'series(Dj)')
     find_netcpair_civ1(hObject, eventdata, handles);% update the menu of pairs depending on the available netcdf files
 end
 if isequal(mode,'series(Dj)') || ...
-   (get(handles.CIV2,'Value')==0 && get(handles.CIV1,'Value')==0 && get(handles.FIX1,'Value')==0 && get(handles.PATCH1,'Value')==0)
+        (get(handles.CIV2,'Value')==0 && get(handles.CIV1,'Value')==0 && get(handles.FIX1,'Value')==0 && get(handles.PATCH1,'Value')==0)
     find_netcpair_civ2(hObject, eventdata, handles);
 end
@@ -5147,5 +5149,5 @@
 mode_value=get(handles.mode,'Value');
 mode=mode_list{mode_value};
-if  isequal(mode,'series(Dj)') 
+if  isequal(mode,'series(Dj)')
     find_netcpair_civ2(hObject, eventdata, handles);% update the menu of pairs depending on the available netcdf files
 end
@@ -5156,5 +5158,5 @@
 %------------------------------------------------------------------------
 test=get(handles.compare,'Value');
-if test==2 || test==3    
+if test==2 || test==3
     filebase=get(handles.RootName,'String');
     browse=get(handles.browse_root,'Userdata');
@@ -5162,10 +5164,10 @@
     set(handles.browse_root,'UserData',browse);
     set(handles.sub_txt,'Visible','on')
-    set(handles.RootName_1,'Visible','On');%mkes the second file input window visible 
+    set(handles.RootName_1,'Visible','On');%mkes the second file input window visible
     mode_store=get(handles.mode,'String');%get the present 'mode'
-    set(handles.compare,'UserData',mode_store);%store the mode display  
+    set(handles.compare,'UserData',mode_store);%store the mode display
     set(handles.mode,'Visible','off')
     if test==2
-        set(handles.mode,'Visible','off')       
+        set(handles.mode,'Visible','off')
     else
         set(handles.mode,'Visible','on')
@@ -5177,8 +5179,8 @@
     oldfile=get(handles.RootName,'String');
     menu={'*.xml;*.avi;*.AVI;*.nc','(*.xml,*.avi,*.nc)'; ...
-            '*.xml', '.xml files';'*.avi;*.AVI', '.avi files';'*.nc', '.nc files';...
-            '*.*', 'All Files (*.*)'};
+        '*.xml', '.xml files';'*.avi;*.AVI', '.avi files';'*.nc', '.nc files';...
+        '*.*', 'All Files (*.*)'};
     [FileName, PathName, filtindex] = uigetfile( menu, 'Pick a file',oldfile);
-    fileinput=[PathName FileName];%complete file name 
+    fileinput=[PathName FileName];%complete file name
     sizf=size(fileinput);
     if (~ischar(fileinput)|~isequal(sizf(1),1)),return;end %stop if fileinput not a character string
@@ -5186,5 +5188,5 @@
     [path1]=fileparts(filebase);
     if ~strcmp(path1,path)
-         msgbox_uvmat('ERROR','The two  input image series must be in the same directory')
+        msgbox_uvmat('ERROR','The two  input image series must be in the same directory')
         return
     end
@@ -5193,5 +5195,5 @@
     browse=get(handles.browse_root,'UserData');
     browse.nom_type_ima_1=nom_type;
-    set(handles.browse_root,'UserData',browse)  
+    set(handles.browse_root,'UserData',browse)
     
     %check image extension
@@ -5226,9 +5228,9 @@
 filebase=get(handles.RootName,'String');
 [FileName, PathName, filterindex] = uigetfile( ...
-       {'*.nc', ' (*.nc)';
-        '*.nc',  'netcdf files '; ...
-        '*.*', 'All Files (*.*)'}, ...
-        'Pick a file',filebase);
-    
+    {'*.nc', ' (*.nc)';
+    '*.nc',  'netcdf files '; ...
+    '*.*', 'All Files (*.*)'}, ...
+    'Pick a file',filebase);
+
 fileinput=[PathName FileName];
 sizf=size(fileinput);
@@ -5271,8 +5273,8 @@
     filebase=get(handles.RootName,'String');
     [FileName, PathName, filterindex] = uigetfile( ...
-           {'*.nc', ' (*.nc)';
-            '*.nc',  'netcdf files '; ...
-            '*.*', 'All Files (*.*)'}, ...
-            'Pick a file',filebase);
+        {'*.nc', ' (*.nc)';
+        '*.nc',  'netcdf files '; ...
+        '*.*', 'All Files (*.*)'}, ...
+        'Pick a file',filebase);
     fileinput=[PathName FileName];
     sizf=size(fileinput);
@@ -5290,5 +5292,5 @@
     end
     set(handles.ref_fix2,'String',[fullfile(ref.subdir,File) '....nc']);
-    set(handles.ref_fix2,'UserData',ref)    
+    set(handles.ref_fix2,'UserData',ref)
     menu_field{1}='civ1';
     Data=nc2struct(fileinput,[]);
@@ -5323,5 +5325,5 @@
 set(handles.ref_fix1,'String','');
 set(handles.thresh_vel1,'String','0');
- 
+
 %------------------------------------------------------------------------
 function ref_fix2_Callback(hObject, eventdata, handles)
